<?php

  $car_washing_center_theme_custom_setting_css = '';

	// Global Color
	$car_washing_center_theme_color = get_theme_mod('car_washing_center_theme_color', '#DE0B04');

	$car_washing_center_theme_custom_setting_css .=':root {';
		$car_washing_center_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($car_washing_center_theme_color ).'!important;';
	$car_washing_center_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$car_washing_center_scroll_alignment = get_theme_mod('car_washing_center_scroll_alignment', 'right');

    if($car_washing_center_scroll_alignment == 'right'){
        $car_washing_center_theme_custom_setting_css .='.scroll-up{';
            $car_washing_center_theme_custom_setting_css .='right: 30px;!important;';
			$car_washing_center_theme_custom_setting_css .='left: auto;!important;';
        $car_washing_center_theme_custom_setting_css .='}';
    }else if($car_washing_center_scroll_alignment == 'center'){
        $car_washing_center_theme_custom_setting_css .='.scroll-up{';
            $car_washing_center_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $car_washing_center_theme_custom_setting_css .='}';
    }else if($car_washing_center_scroll_alignment == 'left'){
        $car_washing_center_theme_custom_setting_css .='.scroll-up{';
            $car_washing_center_theme_custom_setting_css .='left: 30px;!important;';
			$car_washing_center_theme_custom_setting_css .='right: auto;!important;';
        $car_washing_center_theme_custom_setting_css .='}';
    }	

	// Related Product

	$car_washing_center_show_related_product = get_theme_mod('car_washing_center_show_related_product', true );

	if($car_washing_center_show_related_product != true){
		$car_washing_center_theme_custom_setting_css .='.related.products{';
			$car_washing_center_theme_custom_setting_css .='display: none;';
		$car_washing_center_theme_custom_setting_css .='}';
	}  
	
	// Featured Image Hover Effect
    $car_washing_center_show_featured = get_theme_mod('car_washing_center_featured_image_hide_show', 1);
    $car_washing_center_hover_effect = get_theme_mod('car_washing_center_single_post_featured_image_hover','none');

    if ( $car_washing_center_show_featured && $car_washing_center_hover_effect !== 'none' ) {

    $car_washing_center_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $car_washing_center_hover_effect === 'zoom-in' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $car_washing_center_hover_effect === 'zoom-out' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $car_washing_center_hover_effect === 'grayscale' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $car_washing_center_hover_effect === 'sepia' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $car_washing_center_hover_effect === 'blur' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $car_washing_center_hover_effect === 'bright' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $car_washing_center_hover_effect === 'translate' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $car_washing_center_hover_effect === 'scale' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $car_washing_center_show_featured = get_theme_mod('car_washing_center_featured_image_hide_show', 1);
    $car_washing_center_hover_effect = get_theme_mod('car_washing_center_product_featured_image_hover','none');

    if ( $car_washing_center_show_featured && $car_washing_center_hover_effect !== 'none' ) {

    $car_washing_center_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $car_washing_center_hover_effect === 'zoom-in' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $car_washing_center_hover_effect === 'zoom-out' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $car_washing_center_hover_effect === 'grayscale' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $car_washing_center_hover_effect === 'sepia' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $car_washing_center_hover_effect === 'blur' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $car_washing_center_hover_effect === 'bright' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $car_washing_center_hover_effect === 'translate' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $car_washing_center_hover_effect === 'scale' ) {
        $car_washing_center_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   